Bug 115736 - (FS CIFS)Mounting of samba shares no longer possible
(FS CIFS)Mounting of samba shares no longer possible
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-15 11:01 EST by Simon Perreault
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:08:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Perreault 2004-02-15 11:01:13 EST
Description of problem: 
It seems like the smbfs filesystem has been left out of the FC2 
test1 kernel. 
 
Version-Release number of selected component (if applicable): 
kernel-2.6.1-1.65 
samba-3.0.2-7.FC1 
 
How reproducible: 
Try to mount a samba filesystem. 
   
Actual results: 
[nomis80@localhost mnt]$ sudo mount /mnt/public/ 
Anonymous login successful 
ERROR: smbfs filesystem not supported by the kernel 
Please refer to the smbmnt(8) manual page 
smbmnt failed: 255 
 
Additional info: 
The fstab entry: 
\\nomis80\public    /mnt/public     smbfs   guest,uid=500,defaults  
0 0 
 
I know the server isn't at fault, it worked before the upgrade to 
FC2 test1.
Comment 1 Arjan van de Ven 2004-02-15 11:05:38 EST
try cifs not smbfs ....
Comment 2 Simon Perreault 2004-02-15 11:12:39 EST
Does the server need to be upgraded to cifs too, or can cifs mount 
smbfs shares? Because I get: 
 
[nomis80@localhost nomis80]$ sudo mount /mnt/public/ 
Password: 
mount error: could not find target server. TCP name nomis80/public 
not found  rc = 9 
Password: 
mount error 111 = Connection refused 
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs) 
 
The server is a FC1 samba server. 
Comment 3 Jay Fenlason 2004-02-24 16:52:11 EST
smbfs/cifs are the Linux kernel client modules--they aren't servers. 
Also, the cifs module takes different mount options than smbfs did. 
You should read the mount.cifs man page and adjust your fstab entry
appropriately.

In any case, cifs != samba, so I'm reassigning this bug to the kernel.
Comment 4 keith adamson 2004-03-06 03:42:16 EST
"You should read the mount.cifs man page and adjust your fstab entry
appropriately."

FC2 test1 rawhide updated

# man mount.cifs
No manual entry for mount.cifs
# man mount | grep cifs
#
# apropos cifs
cifs: nothing appropriate

OK maybe I'm old but where exactly are the docs?
Comment 5 keith adamson 2004-03-06 04:07:46 EST
Found;
# rpm -q --filesbypkg samba-client | grep mount
samba-client              /sbin/mount.cifs
samba-client              /sbin/mount.smb
samba-client              /sbin/mount.smbfs
samba-client              /usr/bin/smbmount
samba-client              /usr/bin/smbumount
samba-client              /usr/share/man/man8/mount.cifs.8.gz
samba-client              /usr/share/man/man8/smbmount.8.gz
samba-client              /usr/share/man/man8/smbumount.8.gz

Which, BTW, is no longer installed by default.  And without which when
I attempt to mount a cifs I get;

# mount -t cifs //sever/usr /mnt/cifs
Segmentation fault

And a spew of errors in /var/log/messages.  Maybe if the default 
kernel has cifs you should default install these user tools.

:)
Comment 6 keith adamson 2004-03-06 05:54:47 EST
OK ... now what's wrong?
                                                                     
          
# smbtree
Password:
MYWG
        \\MYSRVR                         Samba Server
                \\MYSRVR\keith           Home Directories
                \\MYSRVR\epsonc84        epsonc84
                \\MYSRVR\ADMIN$          IPC Service (Samba Server)
                \\MYSRVR\IPC$            IPC Service (Samba Server)
                                                                     
          
# mount -t cifs -o domain=MYWG //MYSRVR/keith /mnt/cifstest
mount error: could not find target server. TCP name MYSRVR/keith not
found  rc = 9
Password:
mount error 111 = Connection refused
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)
Comment 7 keith adamson 2004-03-06 06:02:27 EST
Found problem ... cifs needs DNS entry;

mount -t cifs -o domain=MYWG //190.168.0.1/keith /mnt/cifstest

cifs doesn't browse for services?
Comment 8 Richard Hughes 2004-07-19 11:22:27 EDT
mount.cifs fixed and cifs module updated upsteam. smbfs is dead.
Comment 9 Steve Dickson 2004-10-15 09:42:27 EDT
Is this still happening in later FC kernels?
Comment 10 Dave Jones 2005-04-16 00:08:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.